ELF32_GETSHDR(3)

NAME
elf32_getshdr, elf64_getshdr - retrieve the section header for a section in 32-bit or 64-bit ELF object file

SYNOPSIS
#include <libelf.h>
Elf32_Shdr *elf32_getshdr(Elf_Scn *scn);
Elf64_Shdr *elf64_getshdr(Elf_Scn *scn);

DESCRIPTION
Retrieve the section header for the section referred to by scn. If the retrieved section header is modified, elf_flagshdr must be called with ELF_C_SET and ELF_F_DIRTY in order to write the modified section header to disk.

PARAMETERS

scn The section descriptor whose section header is to be retrieved.

RETURN VALUE
On success, return a pointer to the section header. If scn is NULL then NULL will be returned. If an error occurs, return NULL and set a libelf error code.

SEE ALSO
elf_errno(3), elf_flagshdr(3), libelf(3), elf(5)

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

REPORTING BUGS
Report bugs to <elfutils-devel@sourceware.org> or https://sourceware.org/bugzilla/.